/*
 * Created on Jan 29, 2004
 *
 * Copyright TimeSys Corp. 2003
 * All Rights Reserved
 */
package org.eclipse.cdt.toolchain.tests;

import java.util.Properties;

import org.eclipse.cdt.managedbuilder.core.ITarget;
import org.eclipse.cdt.managedbuilder.core.ITool;
import org.eclipse.cdt.managedbuilder.core.toolchain.IManagedBuildToolchainCapability;

/**
 * @author jeremiah.lott
 */
public class TestManagedBuildCapability
	implements IManagedBuildToolchainCapability {
	
	private String id;
	private Properties props;
	
	public TestManagedBuildCapability(String id, Properties props) {
		this.id = id;
		this.props = props;
	}
	
	public boolean supportsTarget(ITarget target) {
		return target.getId().equals("cygwin.exec");
	}

	public ITool getTool(ITool targetTool) {
		return new TestTool(props.getProperty(id), targetTool);
	}

	public String getType() {
		return TYPE;
	}

}
