/*
 * Created on Jan 29, 2004
 *
 * Copyright TimeSys Corp. 2003
 * All Rights Reserved
 */
package org.eclipse.cdt.toolchain.tests;

import java.util.Properties;

import org.eclipse.cdt.managedbuilder.core.toolchain.IManagedBuildToolchainCapability;
import org.eclipse.cdt.toolchain.IToolchain;
import org.eclipse.cdt.toolchain.IToolchainCapability;

/**
 * @author jeremiah.lott
 */
public class TestToolchain implements IToolchain {

	private String id;
	private Properties props;
	private TestManagedBuildCapability mbCap;
	
	
	public TestToolchain(String id, Properties props) {
		this.id = id;
		this.props = props;
		this.mbCap = new TestManagedBuildCapability(id, props);
	}
	
	public String getID() {
		return id;
	}
	
	public String getShortName() {
		return props.getProperty(id +".Short");
	}

	public String getLongName() {
		return props.getProperty(id +".Long");
	}

	public IToolchainCapability getCapability(String type) {
		if (type.equals(IManagedBuildToolchainCapability.TYPE)) {
			return mbCap;
		} else {
			return null;
		}
	}

	public IToolchainCapability[] getCapabilities() {
		return new IToolchainCapability[] {mbCap};
	}

}
