/*
 * Created on Jan 29, 2004
 *
 * Copyright TimeSys Corp. 2003
 * All Rights Reserved
 */
package org.eclipse.cdt.toolchain.tests;

import java.io.IOException;
import java.io.InputStream;
import java.util.Iterator;
import java.util.Map;
import java.util.Properties;
import java.util.TreeMap;

import org.eclipse.cdt.toolchain.IToolchain;
import org.eclipse.cdt.toolchain.IToolchainFactory;

/**
 * @author jeremiah.lott
 */
public class TestToolchainFactory implements IToolchainFactory {

	private Map toolchains;
	
	public TestToolchainFactory() {
		loadToolchains();
	}
	
	private void loadToolchains() {
		InputStream is = getClass().getResourceAsStream("toolchains");
		Properties props = new Properties();
		String property;
		toolchains = new TreeMap();
		try {
			props.load(is);
			Iterator it = props.keySet().iterator();
			while (it.hasNext()) {
				property = (String)it.next();
				if (property.indexOf(".") < 0) {
					toolchains.put(property, new TestToolchain(property, props));
				}
			}
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}
	
	public IToolchain getToolchain(String toolchainId) {
		return (IToolchain)toolchains.get(toolchainId);
	}

	public IToolchain[] getToolchains() {
		return (IToolchain[])toolchains.values().
			toArray(new IToolchain[toolchains.size()]);
	}

}
